--
-- PostgreSQL database dump
--

-- Dumped from database version 12.9
-- Dumped by pg_dump version 12.10

-- Started on 2023-04-04 08:12:52 UTC

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- TOC entry 202 (class 1259 OID 19609)
-- Name: T_Answer; Type: TABLE; Schema: public; Owner: macsdb
--

CREATE TABLE public."T_Answer" (
    n_id numeric,
    n_id_question numeric NOT NULL,
    n_id_bot numeric,
    t_asnwer character varying
);


ALTER TABLE public."T_Answer" OWNER TO macsdb;

--
-- TOC entry 203 (class 1259 OID 19615)
-- Name: T_Audit; Type: TABLE; Schema: public; Owner: macsdb
--

CREATE TABLE public."T_Audit" (
    n_id_audit numeric NOT NULL,
    t_nome_ufficio character varying(100),
    n_id_ufficio numeric,
    t_nome_risorsa character varying(100),
    n_id_risorsa numeric,
    d_data_inizio_appuntamento timestamp without time zone,
    d_data_fine_appuntamento timestamp without time zone,
    d_data_prenotazione timestamp without time zone,
    t_questionario_compilato character varying(1),
    t_tipologia_prenotazione character varying(30),
    t_slot_occupati character varying,
    n_id_prenotazione numeric,
    t_disdetto character varying(1),
    d_data_disdetta timestamp without time zone
);


ALTER TABLE public."T_Audit" OWNER TO macsdb;

--
-- TOC entry 204 (class 1259 OID 19621)
-- Name: T_Chatbot; Type: TABLE; Schema: public; Owner: macsdb
--

CREATE TABLE public."T_Chatbot" (
    n_id numeric NOT NULL,
    t_nome character varying,
    b_attivo character varying(1),
    t_logo character varying,
    t_behavior character varying,
    t_gender character varying(1)
);


ALTER TABLE public."T_Chatbot" OWNER TO macsdb;

--
-- TOC entry 205 (class 1259 OID 19627)
-- Name: T_Comunicazioni; Type: TABLE; Schema: public; Owner: macsdb
--

CREATE TABLE public."T_Comunicazioni" (
    n_id numeric NOT NULL,
    t_titolo character varying,
    t_descrizione_breve character varying,
    t_testo_completo character varying,
    d_data_ins timestamp without time zone,
    t_allegato character varying
);


ALTER TABLE public."T_Comunicazioni" OWNER TO macsdb;

--
-- TOC entry 206 (class 1259 OID 19633)
-- Name: T_Dispositivi; Type: TABLE; Schema: public; Owner: macsdb
--

CREATE TABLE public."T_Dispositivi" (
    t_uuid character varying NOT NULL,
    t_token_firebase character varying,
    t_piattaforma character varying(10),
    t_spid_code character varying,
    d_data_ultimo_accesso timestamp without time zone
);


ALTER TABLE public."T_Dispositivi" OWNER TO macsdb;

--
-- TOC entry 207 (class 1259 OID 19639)
-- Name: T_Language; Type: TABLE; Schema: public; Owner: macsdb
--

CREATE TABLE public."T_Language" (
    n_id numeric NOT NULL,
    t_language character varying,
    t_isocode character varying,
    t_locale character varying,
    t_language_code character varying
);


ALTER TABLE public."T_Language" OWNER TO macsdb;

--
-- TOC entry 208 (class 1259 OID 19645)
-- Name: T_Prenotazioni; Type: TABLE; Schema: public; Owner: macsdb
--

CREATE TABLE public."T_Prenotazioni" (
    n_id numeric NOT NULL,
    t_spid_code character varying,
    t_nome_ufficio character varying,
    n_id_ufficio numeric,
    t_nome_risorsa character varying,
    n_id_risorsa numeric,
    d_data_appuntamento timestamp without time zone,
    t_disdetto character varying(1),
    t_prenotazione_personale character varying(1),
    n_id_prenotazione numeric,
    t_cf_fruitore character varying
);


ALTER TABLE public."T_Prenotazioni" OWNER TO macsdb;

--
-- TOC entry 209 (class 1259 OID 19651)
-- Name: T_Question; Type: TABLE; Schema: public; Owner: macsdb
--

CREATE TABLE public."T_Question" (
    n_id numeric NOT NULL,
    t_question character varying,
    n_id_bot numeric
);


ALTER TABLE public."T_Question" OWNER TO macsdb;

--
-- TOC entry 210 (class 1259 OID 19657)
-- Name: T_Random_Answer; Type: TABLE; Schema: public; Owner: macsdb
--

CREATE TABLE public."T_Random_Answer" (
    n_id numeric,
    n_id_bot numeric NOT NULL,
    t_intent character varying,
    t_answer character varying
);


ALTER TABLE public."T_Random_Answer" OWNER TO macsdb;

--
-- TOC entry 211 (class 1259 OID 19663)
-- Name: T_Tipo_Notifiche; Type: TABLE; Schema: public; Owner: macsdb
--

CREATE TABLE public."T_Tipo_Notifiche" (
    t_cod_notifiche character varying NOT NULL,
    t_nome_notifiche character varying
);


ALTER TABLE public."T_Tipo_Notifiche" OWNER TO macsdb;

--
-- TOC entry 212 (class 1259 OID 19669)
-- Name: T_User; Type: TABLE; Schema: public; Owner: macsdb
--

CREATE TABLE public."T_User" (
    t_spid_code character varying NOT NULL,
    t_codice_fiscale character varying,
    d_data_ins timestamp without time zone
);


ALTER TABLE public."T_User" OWNER TO macsdb;

--
-- TOC entry 213 (class 1259 OID 19675)
-- Name: T_User_Notifiche_Negate; Type: TABLE; Schema: public; Owner: macsdb
--

CREATE TABLE public."T_User_Notifiche_Negate" (
    t_spid_code character varying NOT NULL,
    t_cod_notifiche character varying NOT NULL
);


ALTER TABLE public."T_User_Notifiche_Negate" OWNER TO macsdb;

--
-- TOC entry 214 (class 1259 OID 19681)
-- Name: T_chatbot_Language; Type: TABLE; Schema: public; Owner: macsdb
--

CREATE TABLE public."T_chatbot_Language" (
    n_id_bot numeric NOT NULL,
    n_id_language numeric NOT NULL
);


ALTER TABLE public."T_chatbot_Language" OWNER TO macsdb;

--
-- TOC entry 215 (class 1259 OID 19755)
-- Name: sq_answer; Type: SEQUENCE; Schema: public; Owner: macsdb
--

CREATE SEQUENCE public.sq_answer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sq_answer OWNER TO macsdb;

--
-- TOC entry 216 (class 1259 OID 19757)
-- Name: sq_audit; Type: SEQUENCE; Schema: public; Owner: macsdb
--

CREATE SEQUENCE public.sq_audit
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sq_audit OWNER TO macsdb;

--
-- TOC entry 217 (class 1259 OID 19759)
-- Name: sq_chatbot; Type: SEQUENCE; Schema: public; Owner: macsdb
--

CREATE SEQUENCE public.sq_chatbot
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sq_chatbot OWNER TO macsdb;

--
-- TOC entry 218 (class 1259 OID 19761)
-- Name: sq_comunicazioni; Type: SEQUENCE; Schema: public; Owner: macsdb
--

CREATE SEQUENCE public.sq_comunicazioni
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sq_comunicazioni OWNER TO macsdb;

--
-- TOC entry 219 (class 1259 OID 19763)
-- Name: sq_language; Type: SEQUENCE; Schema: public; Owner: macsdb
--

CREATE SEQUENCE public.sq_language
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sq_language OWNER TO macsdb;

--
-- TOC entry 220 (class 1259 OID 19765)
-- Name: sq_prenotazioni; Type: SEQUENCE; Schema: public; Owner: macsdb
--

CREATE SEQUENCE public.sq_prenotazioni
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sq_prenotazioni OWNER TO macsdb;

--
-- TOC entry 221 (class 1259 OID 19767)
-- Name: sq_prova_file; Type: SEQUENCE; Schema: public; Owner: macsdb
--

CREATE SEQUENCE public.sq_prova_file
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sq_prova_file OWNER TO macsdb;

--
-- TOC entry 222 (class 1259 OID 19769)
-- Name: sq_question; Type: SEQUENCE; Schema: public; Owner: macsdb
--

CREATE SEQUENCE public.sq_question
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sq_question OWNER TO macsdb;

--
-- TOC entry 223 (class 1259 OID 19771)
-- Name: sq_random_answer; Type: SEQUENCE; Schema: public; Owner: macsdb
--

CREATE SEQUENCE public.sq_random_answer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.sq_random_answer OWNER TO macsdb;

--
-- TOC entry 3063 (class 0 OID 19609)
-- Dependencies: 202
-- Data for Name: T_Answer; Type: TABLE DATA; Schema: public; Owner: macsdb
--

COPY public."T_Answer" (n_id, n_id_question, n_id_bot, t_asnwer) FROM stdin;
\.


--
-- TOC entry 3064 (class 0 OID 19615)
-- Dependencies: 203
-- Data for Name: T_Audit; Type: TABLE DATA; Schema: public; Owner: macsdb
--

COPY public."T_Audit" (n_id_audit, t_nome_ufficio, n_id_ufficio, t_nome_risorsa, n_id_risorsa, d_data_inizio_appuntamento, d_data_fine_appuntamento, d_data_prenotazione, t_questionario_compilato, t_tipologia_prenotazione, t_slot_occupati, n_id_prenotazione, t_disdetto, d_data_disdetta) FROM stdin;
\.


--
-- TOC entry 3065 (class 0 OID 19621)
-- Dependencies: 204
-- Data for Name: T_Chatbot; Type: TABLE DATA; Schema: public; Owner: macsdb
--

COPY public."T_Chatbot" (n_id, t_nome, b_attivo, t_logo, t_behavior, t_gender) FROM stdin;
\.


--
-- TOC entry 3066 (class 0 OID 19627)
-- Dependencies: 205
-- Data for Name: T_Comunicazioni; Type: TABLE DATA; Schema: public; Owner: macsdb
--

COPY public."T_Comunicazioni" (n_id, t_titolo, t_descrizione_breve, t_testo_completo, d_data_ins, t_allegato) FROM stdin;
\.


--
-- TOC entry 3067 (class 0 OID 19633)
-- Dependencies: 206
-- Data for Name: T_Dispositivi; Type: TABLE DATA; Schema: public; Owner: macsdb
--

COPY public."T_Dispositivi" (t_uuid, t_token_firebase, t_piattaforma, t_spid_code, d_data_ultimo_accesso) FROM stdin;
\.


--
-- TOC entry 3068 (class 0 OID 19639)
-- Dependencies: 207
-- Data for Name: T_Language; Type: TABLE DATA; Schema: public; Owner: macsdb
--

COPY public."T_Language" (n_id, t_language, t_isocode, t_locale, t_language_code) FROM stdin;
\.


--
-- TOC entry 3069 (class 0 OID 19645)
-- Dependencies: 208
-- Data for Name: T_Prenotazioni; Type: TABLE DATA; Schema: public; Owner: macsdb
--

COPY public."T_Prenotazioni" (n_id, t_spid_code, t_nome_ufficio, n_id_ufficio, t_nome_risorsa, n_id_risorsa, d_data_appuntamento, t_disdetto, t_prenotazione_personale, n_id_prenotazione, t_cf_fruitore) FROM stdin;
\.


--
-- TOC entry 3070 (class 0 OID 19651)
-- Dependencies: 209
-- Data for Name: T_Question; Type: TABLE DATA; Schema: public; Owner: macsdb
--

COPY public."T_Question" (n_id, t_question, n_id_bot) FROM stdin;
\.


--
-- TOC entry 3071 (class 0 OID 19657)
-- Dependencies: 210
-- Data for Name: T_Random_Answer; Type: TABLE DATA; Schema: public; Owner: macsdb
--

COPY public."T_Random_Answer" (n_id, n_id_bot, t_intent, t_answer) FROM stdin;
\.


--
-- TOC entry 3072 (class 0 OID 19663)
-- Dependencies: 211
-- Data for Name: T_Tipo_Notifiche; Type: TABLE DATA; Schema: public; Owner: macsdb
--

COPY public."T_Tipo_Notifiche" (t_cod_notifiche, t_nome_notifiche) FROM stdin;
MACS_PRE	Notifiche Push di prenotazioni risorse comunali
MACS_COM	Notifiche push di comunicazione
MACS_REM	Notifiche push di remainder
MACS_NEWS	Notifiche push di news
\.


--
-- TOC entry 3073 (class 0 OID 19669)
-- Dependencies: 212
-- Data for Name: T_User; Type: TABLE DATA; Schema: public; Owner: macsdb
--

COPY public."T_User" (t_spid_code, t_codice_fiscale, d_data_ins) FROM stdin;
\.


--
-- TOC entry 3074 (class 0 OID 19675)
-- Dependencies: 213
-- Data for Name: T_User_Notifiche_Negate; Type: TABLE DATA; Schema: public; Owner: macsdb
--

COPY public."T_User_Notifiche_Negate" (t_spid_code, t_cod_notifiche) FROM stdin;
\.


--
-- TOC entry 3075 (class 0 OID 19681)
-- Dependencies: 214
-- Data for Name: T_chatbot_Language; Type: TABLE DATA; Schema: public; Owner: macsdb
--

COPY public."T_chatbot_Language" (n_id_bot, n_id_language) FROM stdin;
\.


--
-- TOC entry 3090 (class 0 OID 0)
-- Dependencies: 215
-- Name: sq_answer; Type: SEQUENCE SET; Schema: public; Owner: macsdb
--

SELECT pg_catalog.setval('public.sq_answer', 1, false);


--
-- TOC entry 3091 (class 0 OID 0)
-- Dependencies: 216
-- Name: sq_audit; Type: SEQUENCE SET; Schema: public; Owner: macsdb
--

SELECT pg_catalog.setval('public.sq_audit', 1, true);


--
-- TOC entry 3092 (class 0 OID 0)
-- Dependencies: 217
-- Name: sq_chatbot; Type: SEQUENCE SET; Schema: public; Owner: macsdb
--

SELECT pg_catalog.setval('public.sq_chatbot', 1, false);


--
-- TOC entry 3093 (class 0 OID 0)
-- Dependencies: 218
-- Name: sq_comunicazioni; Type: SEQUENCE SET; Schema: public; Owner: macsdb
--

SELECT pg_catalog.setval('public.sq_comunicazioni', 18, true);


--
-- TOC entry 3094 (class 0 OID 0)
-- Dependencies: 219
-- Name: sq_language; Type: SEQUENCE SET; Schema: public; Owner: macsdb
--

SELECT pg_catalog.setval('public.sq_language', 1, false);


--
-- TOC entry 3095 (class 0 OID 0)
-- Dependencies: 220
-- Name: sq_prenotazioni; Type: SEQUENCE SET; Schema: public; Owner: macsdb
--

SELECT pg_catalog.setval('public.sq_prenotazioni', 1, true);


--
-- TOC entry 3096 (class 0 OID 0)
-- Dependencies: 221
-- Name: sq_prova_file; Type: SEQUENCE SET; Schema: public; Owner: macsdb
--

SELECT pg_catalog.setval('public.sq_prova_file', 6, true);


--
-- TOC entry 3097 (class 0 OID 0)
-- Dependencies: 222
-- Name: sq_question; Type: SEQUENCE SET; Schema: public; Owner: macsdb
--

SELECT pg_catalog.setval('public.sq_question', 1, false);


--
-- TOC entry 3098 (class 0 OID 0)
-- Dependencies: 223
-- Name: sq_random_answer; Type: SEQUENCE SET; Schema: public; Owner: macsdb
--

SELECT pg_catalog.setval('public.sq_random_answer', 1, false);


--
-- TOC entry 2902 (class 2606 OID 19774)
-- Name: T_Answer PK_Answer; Type: CONSTRAINT; Schema: public; Owner: macsdb
--

ALTER TABLE ONLY public."T_Answer"
    ADD CONSTRAINT "PK_Answer" PRIMARY KEY (n_id_question);


--
-- TOC entry 2910 (class 2606 OID 19776)
-- Name: T_Dispositivi PK_Dispositivi; Type: CONSTRAINT; Schema: public; Owner: macsdb
--

ALTER TABLE ONLY public."T_Dispositivi"
    ADD CONSTRAINT "PK_Dispositivi" PRIMARY KEY (t_uuid);


--
-- TOC entry 2914 (class 2606 OID 19778)
-- Name: T_Prenotazioni PK_Prenotazioni; Type: CONSTRAINT; Schema: public; Owner: macsdb
--

ALTER TABLE ONLY public."T_Prenotazioni"
    ADD CONSTRAINT "PK_Prenotazioni" PRIMARY KEY (n_id);


--
-- TOC entry 2916 (class 2606 OID 19780)
-- Name: T_Question PK_Question; Type: CONSTRAINT; Schema: public; Owner: macsdb
--

ALTER TABLE ONLY public."T_Question"
    ADD CONSTRAINT "PK_Question" PRIMARY KEY (n_id);


--
-- TOC entry 2918 (class 2606 OID 19782)
-- Name: T_Random_Answer PK_Random_Answer; Type: CONSTRAINT; Schema: public; Owner: macsdb
--

ALTER TABLE ONLY public."T_Random_Answer"
    ADD CONSTRAINT "PK_Random_Answer" PRIMARY KEY (n_id_bot);


--
-- TOC entry 2908 (class 2606 OID 19784)
-- Name: T_Comunicazioni PK_T_Comunicazione; Type: CONSTRAINT; Schema: public; Owner: macsdb
--

ALTER TABLE ONLY public."T_Comunicazioni"
    ADD CONSTRAINT "PK_T_Comunicazione" PRIMARY KEY (n_id);


--
-- TOC entry 2926 (class 2606 OID 19786)
-- Name: T_chatbot_Language PK_chatbot_Language; Type: CONSTRAINT; Schema: public; Owner: macsdb
--

ALTER TABLE ONLY public."T_chatbot_Language"
    ADD CONSTRAINT "PK_chatbot_Language" PRIMARY KEY (n_id_bot, n_id_language);


--
-- TOC entry 2904 (class 2606 OID 19788)
-- Name: T_Audit T_Audit_pkey; Type: CONSTRAINT; Schema: public; Owner: macsdb
--

ALTER TABLE ONLY public."T_Audit"
    ADD CONSTRAINT "T_Audit_pkey" PRIMARY KEY (n_id_audit);


--
-- TOC entry 2906 (class 2606 OID 19790)
-- Name: T_Chatbot T_Chatbot_pkey; Type: CONSTRAINT; Schema: public; Owner: macsdb
--

ALTER TABLE ONLY public."T_Chatbot"
    ADD CONSTRAINT "T_Chatbot_pkey" PRIMARY KEY (n_id);


--
-- TOC entry 2912 (class 2606 OID 19792)
-- Name: T_Language T_Language_pkey; Type: CONSTRAINT; Schema: public; Owner: macsdb
--

ALTER TABLE ONLY public."T_Language"
    ADD CONSTRAINT "T_Language_pkey" PRIMARY KEY (n_id);


--
-- TOC entry 2920 (class 2606 OID 19794)
-- Name: T_Tipo_Notifiche T_Tipo_Notifiche_pkey; Type: CONSTRAINT; Schema: public; Owner: macsdb
--

ALTER TABLE ONLY public."T_Tipo_Notifiche"
    ADD CONSTRAINT "T_Tipo_Notifiche_pkey" PRIMARY KEY (t_cod_notifiche);


--
-- TOC entry 2924 (class 2606 OID 19796)
-- Name: T_User_Notifiche_Negate T_User_Notifiche_pkey; Type: CONSTRAINT; Schema: public; Owner: macsdb
--

ALTER TABLE ONLY public."T_User_Notifiche_Negate"
    ADD CONSTRAINT "T_User_Notifiche_pkey" PRIMARY KEY (t_spid_code, t_cod_notifiche);


--
-- TOC entry 2922 (class 2606 OID 19798)
-- Name: T_User T_User_pkey; Type: CONSTRAINT; Schema: public; Owner: macsdb
--

ALTER TABLE ONLY public."T_User"
    ADD CONSTRAINT "T_User_pkey" PRIMARY KEY (t_spid_code);


--
-- TOC entry 2927 (class 2606 OID 19843)
-- Name: T_Answer FK_Bot; Type: FK CONSTRAINT; Schema: public; Owner: macsdb
--

ALTER TABLE ONLY public."T_Answer"
    ADD CONSTRAINT "FK_Bot" FOREIGN KEY (n_id_bot) REFERENCES public."T_Chatbot"(n_id);


--
-- TOC entry 2932 (class 2606 OID 19848)
-- Name: T_Random_Answer FK_Bot; Type: FK CONSTRAINT; Schema: public; Owner: macsdb
--

ALTER TABLE ONLY public."T_Random_Answer"
    ADD CONSTRAINT "FK_Bot" FOREIGN KEY (n_id_bot) REFERENCES public."T_Chatbot"(n_id);


--
-- TOC entry 2935 (class 2606 OID 19853)
-- Name: T_chatbot_Language FK_Chatbot; Type: FK CONSTRAINT; Schema: public; Owner: macsdb
--

ALTER TABLE ONLY public."T_chatbot_Language"
    ADD CONSTRAINT "FK_Chatbot" FOREIGN KEY (n_id_bot) REFERENCES public."T_Chatbot"(n_id);


--
-- TOC entry 2931 (class 2606 OID 19858)
-- Name: T_Question FK_Chatbot; Type: FK CONSTRAINT; Schema: public; Owner: macsdb
--

ALTER TABLE ONLY public."T_Question"
    ADD CONSTRAINT "FK_Chatbot" FOREIGN KEY (n_id_bot) REFERENCES public."T_Chatbot"(n_id);


--
-- TOC entry 2936 (class 2606 OID 19863)
-- Name: T_chatbot_Language FK_Language; Type: FK CONSTRAINT; Schema: public; Owner: macsdb
--

ALTER TABLE ONLY public."T_chatbot_Language"
    ADD CONSTRAINT "FK_Language" FOREIGN KEY (n_id_language) REFERENCES public."T_Language"(n_id);


--
-- TOC entry 2930 (class 2606 OID 19868)
-- Name: T_Prenotazioni FK_Prenotazioni; Type: FK CONSTRAINT; Schema: public; Owner: macsdb
--

ALTER TABLE ONLY public."T_Prenotazioni"
    ADD CONSTRAINT "FK_Prenotazioni" FOREIGN KEY (t_spid_code) REFERENCES public."T_User"(t_spid_code);


--
-- TOC entry 2929 (class 2606 OID 19873)
-- Name: T_Dispositivi FK_Prenotazioni; Type: FK CONSTRAINT; Schema: public; Owner: macsdb
--

ALTER TABLE ONLY public."T_Dispositivi"
    ADD CONSTRAINT "FK_Prenotazioni" FOREIGN KEY (t_spid_code) REFERENCES public."T_User"(t_spid_code);


--
-- TOC entry 2928 (class 2606 OID 19878)
-- Name: T_Answer FK_Question; Type: FK CONSTRAINT; Schema: public; Owner: macsdb
--

ALTER TABLE ONLY public."T_Answer"
    ADD CONSTRAINT "FK_Question" FOREIGN KEY (n_id_question) REFERENCES public."T_Question"(n_id);


--
-- TOC entry 2933 (class 2606 OID 19883)
-- Name: T_User_Notifiche_Negate FK_T_Tipo_Notifiche; Type: FK CONSTRAINT; Schema: public; Owner: macsdb
--

ALTER TABLE ONLY public."T_User_Notifiche_Negate"
    ADD CONSTRAINT "FK_T_Tipo_Notifiche" FOREIGN KEY (t_cod_notifiche) REFERENCES public."T_Tipo_Notifiche"(t_cod_notifiche);


--
-- TOC entry 2934 (class 2606 OID 19888)
-- Name: T_User_Notifiche_Negate FK_T_User; Type: FK CONSTRAINT; Schema: public; Owner: macsdb
--

ALTER TABLE ONLY public."T_User_Notifiche_Negate"
    ADD CONSTRAINT "FK_T_User" FOREIGN KEY (t_spid_code) REFERENCES public."T_User"(t_spid_code);


-- Completed on 2023-04-04 08:12:52 UTC

--
-- PostgreSQL database dump complete
--

