import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { DocumentGp } from 'src/app/models';
import { GPFORM } from 'src/app/utility/global-constant';

@Component({
  selector: 'app-gp-file',
  templateUrl: './gp-file.component.html',
  styleUrls: ['./gp-file.component.scss'],
})
export class GpFileComponent implements OnInit {
  @Input() listaDocumentGp: Array<DocumentGp>;
  @Output() downloadFileComp = new EventEmitter<DocumentGp>();
  titleCard: string = GPFORM.headerFile;
  arrow_down: string = 'assets/icon/icona_sotto.svg';
  arrow_right: string = 'assets/icon/icona_avanti.svg';
  showCardContent: boolean;
  iconArrow: string;
  zeroDoc: string = GPFORM.zeroDoc;

  constructor() {
    this.setUtility();
  }

  ngOnInit() { }

  setUtility() {
    this.iconArrow = this.arrow_right;
    setTimeout(() => {
      this.openCard();
    },300)
  }

  openCard() {
    this.showCardContent = true;
    this.iconArrow = this.arrow_down;
  }

  manageCloseOpen() {
    if (this.showCardContent) {
      this.showCardContent = false;
      this.iconArrow = this.arrow_right;
    } else {
      this.showCardContent = true;
      this.iconArrow = this.arrow_down;
    }
  }

  downloadFile(file: DocumentGp) {
    this.downloadFileComp.emit(file);
  }

}
