import { Component, Input, OnInit } from '@angular/core';
import { DatiCatastali, GpTemplatesCode, ProcedureTemplateConfig, Stradario, VariableGp } from 'src/app/models';
import { GpValueVariablePipe } from 'src/app/pipe';
import { TEMPLATES_CODE, TEMPLATE_PROCEDURE } from 'src/app/utility';

@Component({
  selector: 'app-gp-procedure-dcatastali',
  templateUrl: './gp-procedure-dcatastali.component.html',
  styleUrls: ['./gp-procedure-dcatastali.component.scss'],
})
export class GpProcedureDcatastaliComponent implements OnInit {
  @Input() variablesGp: VariableGp[];
  @Input() templateConfiguration: ProcedureTemplateConfig;

  templatesCodes: GpTemplatesCode = TEMPLATES_CODE;
  templateProcedure = TEMPLATE_PROCEDURE;
  arrow_down: string = 'assets/icon/icona_sotto.svg';
  arrow_right: string = 'assets/icon/icona_avanti.svg';
  showCardContent: boolean;
  iconArrow: string;

  constructor(
    public gpValueVariablePipe: GpValueVariablePipe,
  ) {
    this.setUtility();
  }

  ngOnInit() {
  }

  setUtility() {
    this.iconArrow = this.arrow_right;
    setTimeout(() => {
      //  this.openCard();
    }, 300)
  }

  openCard() {
    this.showCardContent = true;
    this.iconArrow = this.arrow_down;
  }

  manageCloseOpen() {
    if (this.showCardContent) {
      this.showCardContent = false;
      this.iconArrow = this.arrow_right;
    } else {
      this.showCardContent = true;
      this.iconArrow = this.arrow_down;
    }
  }

  mappingDatiCatastali(variable?: string): DatiCatastali[] {
    try {
      let datiCatastaliMultiple: DatiCatastali[] = JSON.parse(this.gpValueVariablePipe.transform(variable ? variable : this.templateProcedure.codeVariables.catasto, this.variablesGp) as string);
      if (variable && (variable === this.templateProcedure.codeVariables.ubicazioneDatiCat || variable === this.templateProcedure.codeVariables.immobili)) {
        datiCatastaliMultiple.forEach((catasto: DatiCatastali) => {
          if (catasto?.stradarioSalerno)
            catasto.via = catasto?.stradarioSalerno?.Via?.displayName + ' ' + catasto?.stradarioSalerno?.Civico?.displayName;
          if (catasto?.stradarioSAImmobile)
            catasto.via = catasto?.stradarioSAImmobile?.Via?.displayName + ' ' + catasto?.stradarioSAImmobile?.Civico?.displayName;
        });
      }
      return datiCatastaliMultiple && datiCatastaliMultiple.length > 0 ? datiCatastaliMultiple : [];
    } catch (e) {
      return [];
    }

  }
}