import { Component, Input, OnInit } from '@angular/core';
import { GpTemplatesCode, InfoUserProcedure, ProcedureStatus, ProcedureTemplateConfig, VariableGp } from 'src/app/models';
import { GpValueVariablePipe } from 'src/app/pipe';
import { GlobalService } from 'src/app/services';
import { TEMPLATES_CODE, TEMPLATE_PROCEDURE } from 'src/app/utility';

@Component({
  selector: 'app-gp-procedure-header',
  templateUrl: './gp-procedure-header.component.html',
  styleUrls: ['./gp-procedure-header.component.scss'],
})
export class GpProcedureHeaderComponent implements OnInit {
  @Input() variablesGp: VariableGp[];
  @Input() procedure: InfoUserProcedure;
  @Input() templateConfiguration: ProcedureTemplateConfig;
  @Input() procedureStatus: ProcedureStatus[];
  templatesCodes: GpTemplatesCode = TEMPLATES_CODE;
  templateProcedure = TEMPLATE_PROCEDURE;

  constructor(
    public gpValueVariablePipe: GpValueVariablePipe
  ) { }

  ngOnInit() {
  }

}
