import { Component, OnInit } from '@angular/core';
import { IMAGE, MESSAGES } from 'src/app/utility/global-constant';
import { ModalController, Platform } from '@ionic/angular';

@Component({
  selector: 'app-no-connection',
  templateUrl: './no-connection.page.html',
  styleUrls: ['./no-connection.page.scss'],
})
export class NoConnectionPage implements OnInit {
  messageNoConnection: string = MESSAGES.noConnection;
  titleHeader: string = 'Manutenzione';
  logoHeader: string = IMAGE.logoHeader;
  widhtLogo: number = IMAGE.widthLogo;
  heightLogo: number = IMAGE.heightLogo;
  ios: boolean;
  android: boolean;

  constructor(
    private modalController: ModalController,
    private platform: Platform) {
    this.checkPlatform();
  }

  ngOnInit() {
  }

  riprova() {
    this.modalController.dismiss();
  }

  checkPlatform() {
    this.ios = this.platform.is('ios');
    this.android = this.platform.is('android');
  }

  close() {
    this.modalController.dismiss();
  }

}


