import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { MenuPage } from './menu.page';

const routes: Routes = [
  {
    path: "",
    component: MenuPage,
  },
  {
    path: "gestione-notifiche",
    loadChildren: () =>
      import("../../impostazioni").then((m) => m.GestioneNotifichePageModule),
  },
  {
    path: "tutorial/:params",
    loadChildren: () =>
      import("../../informazioni").then((m) => m.TutorialPageModule),
  },
  {
    path: "storico-prenotazione",
    loadChildren: () =>
      import("../../prenotazione").then((m) => m.StoricoPrenotazionePageModule),
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class MenuPageRoutingModule {}
