export const length_form_control = {};

export const regex_form_control = {
	t_nome_regex: /^[A-Za-z]{2,20}( [A-Za-z]{2,20}){0,1}$/,
	codice_fiscale: /^[A-Za-z]{6}\d{2}[A-Za-z]\d{2}[A-Za-z]\d{3}[A-Za-z]$/,
	prefix: /^[0-9]{2,6}$/,
	telefono: /^[0-9]+$/,
};

export const messages = {
	codice_fiscale: {
		required: 'Inserire il codice fiscale',
		pattern: 'Inserire un codice fiscale valido',
	},
	nome: {
		required: 'Inserire il nome',
	},
	cognome: {
		required: 'Inserire il cognome',
	},
	data_nascita: {
		required: 'Inserire la data di nascita',
	},
	sesso: {
		required: 'Inserire il sesso',
	},
	telefono: {
		required: 'Inserire il telefono',
		pattern: 'Il formato del telefono non è corretto',
	},
	prefix: {
		pattern: 'Il prefisso deve essere compreso tra 2 e 6 numeri',
	},
	cellulare: {
		required: 'Inserire il cellulare',
	},
	email: {
		required: "Inserire l'email",
	},
};

/* 
Esempio d'uso

HTML
<span *ngIf="form.controls.t_nome?.touched && !form.controls.t_nome?.valid">
  <small class="text-danger" *ngFor="let error of form.controls.t_nome['errorMessages']">{{ error }}</small>
</span>

TS model form
@required({ message: messages.t_nome.required })
@pattern({ expression: { 'onlyAlpha': regex_form_control.t_nome_negozio_regex }, message: messages.t_nome_negozio.pattern })
or @email
t_nome: string;

*/
