export const DURATIONTOAST = {
	notAuthenticated: 1000,
	default: 2000,
};

export const MESSAGES = {
	serviceUnavailable: 'Il servizio non è al momento disponibile',
	profilationUnavailable: 'Profilazione non disponibile',
	notAuthorized: 'Non sei autorizzato',
	checkCF: 'Controlla il codice fiscale',
	checkFieled: 'Controlla i campi',
	notNews: 'Nessun risultato',
	notPlaces: 'Nessun risultato',
	notUserProcedure: 'Nessun risultato',
	readyTutorial: 'Pronto per iniziare?',
	noConnection: 'Connessione assente, controlla la tua connessione',
	chatUnavailable: 'Alessia non è al momento disponibile',
	errorDetailProcedure: 'Impossibile recuperare la pratica',
	missingFields: 'Campi mancanti',
	notAvaiblePDF: 'Ricevuta non disponibile',
	missingTelOrCelOrEmail: 'Inserire uno tra Telefono, cellulare o email',
	missingTelOrPrefix: 'Inserire prefisso e numero di telefono',
	locationUnavailable: 'Abilitare la geolocalizzazione',
	feedbackSentSuccess: 'Feedback inviato con successo'
};

export const TEXT = {
	home: {
		title: 'Applicazione ufficiale del comune di Salerno',
		buttonEntra: 'ENTRA',
	},
	spid: {
		title: "SISTEMA PUBBLICO DI IDENTITA' DIGITALE",
		info: 'Maggiori informazioni su SPID',
	},
};

export const MAXLENGTH = {
	titoloNewsEventi: 60,
	nameUserProcedure: 60,
	titoloPlace: 60
};

export const SEARCH = {
	debounce: 500,
};

export const IMAGE = {
	logoHeader: '../../../../assets/imgs/salerno-logo.png',
	widthLogo: 50,
	heightLogo: 50,
	logoHome: '../../../../assets/imgs/Logo_Salerno.png',
	widthLogoHome: 170,
	heightLogoHome: 170,
	logoHomeLogged: '../../../../assets/imgs/Logo_Salerno.png',
	widthHomeLogged: 110,
	heightHomeLogged: 110,
	neLocandinaTemp: '../../../../assets/imgs/image-placeholder.png',
	imgChat: '../../../../assets/imgs/salerno-logo.png',
	imgUser: '../../../../assets/imgs/user.png',
	widthImgChat: 40,
	heightImgChat: 40,
	widthImgUser: 35,
	heightImgUser: 35,
};

export const GP_STATUS = {
	status_ok: 'OK',
};

export const PROCEDURE_STATUS = [
	{ t_code_status: 'ALL', t_text_status: 'TUTTE' },
	{ t_code_status: 'OPEN', t_text_status: 'APERTE' },
	{ t_code_status: 'CLOSED', t_text_status: 'CHIUSE' },
];

export const TIPNEWS = [
	{ t_nome_tipologia: 'PRIMO PIANO', t_id_tipologia: '1', t_nome_dettagio: 'Primo piano' },
	{ t_nome_tipologia: 'NOTIZIE', t_id_tipologia: '2', t_nome_dettagio: 'Notizia' },
	{ t_nome_tipologia: 'COMUNICATI', t_id_tipologia: '3', t_nome_dettagio: 'Comunicato' },
	{ t_nome_tipologia: 'AVVISI', t_id_tipologia: '4', t_nome_dettagio: 'Avviso' },
	{ t_nome_tipologia: 'EVENTI', t_id_tipologia: '5', t_nome_dettagio: 'Evento' },
];

export const PAGES = {
	home_page: '/tabs/home',
	landing_page: '/tabs/landing',
	menu: '/tabs/menu',
	prenotazioneStep1: {
		link: '/tabs/home/prenotazione-step1',
		title: 'Prenotazione Step 1',
	},
	prenotazioneStep2: {
		link: '/tabs/home/p-step2',
		title: 'Prenotazione Step 2',
	},
	prenotazioneStep3: {
		link: '/tabs/home/p-step3',
		title: 'Prenotazione Step 3',
	},
	prenotazioneStep4: {
		link: '/tabs/home/p-step4',
		title: 'Prenotazione Step 4',
	},
	dettaglioPrenotazione: {
		link: '/tabs/dettaglio-prenotazione',
		title: 'Dettaglio Prenotazione',
	},
	procedure: {
		link: '/tabs/home/procedure',
		title: 'Pratiche',
	},
	dettaglioProcedure: {
		link: '/tabs/home/procedure/dettaglio-procedura',
		title: 'Dettaglio Pratica',
	},
	news: {
		link: '/tabs/news',
		title: 'Notizie',
	},
	dettaglioNews: {
		link: '/tabs/news/dettaglio-news',
		title: 'Dettaglio',
	},
	luoghi: {
		link: '/tabs/poi',
		title: 'Luoghi',
	},
	dettaglioLuogo: {
		link: '/tabs/poi/poi-dettaglio',
		title: 'Dettaglio Luogo',
	},
};

export const VIDEOPLAYER = {
	width: 373,
	height: 248,
};

export const PATHWP = {
	tutorial: '/tabs/menu/tutorial',
	tutorial_home: '/tabs/home/tutorial',
	height: 248,
};

export const CATPOI = {
	nForRow: 2,
	maxRowFS: 2,
};

export const HOMEFZ = {
	nForRow: 2,
	maxRowFS: 3,
};

export const PAGINATION_NE = {
	items_per_page: 5,
	start_page: 0,
};

export const PAGINATION_POI = {
	items_per_page: 5,
	start_page: 0,
};

//USGP = user procedures gestore pratiche
export const PAGINATION_USGP = {
	items_per_page: 100,
	start_page: 0,
};

export const DELAYMAP = {
	delayOne: 600,
	delayTwo: 3500,
};

export const DELAYCHAT = {
	delayPreChatOne: 150,
	delayPreChatTwo: 5000,
};

export const TOKEN_EXCLUDE = ['oauth2/token', 'categorie-poi.json', 'oauth2/oidcdiscovery', 'https://nominatim.openstreetmap.org'];

// export const PATHTOTOKEN = {
//   [PROVIDERS.gestionepratiche]: {
//     headerGP: "GpAuthorization",
//   },
//   [PROVIDERS.anonymus[0]]: {
//     headerA: "Authorization",
//   },
// };

export const GPFORM = {
	procUteSel: 'Procedura Utente Selezionata',
	zeroTasks: 'Nessuna attività completabile',
	zeroDoc: 'Nessun file',
	zeroVariables: 'Nessuna variabile',
	headerTasks: 'Attività',
	headerFile: 'Documenti',
	headerVariables: 'Varibili',
	protocollo: 'Nr. ',
	created: 'Creata il ',
	updated: 'Aggiornata il ',
};

export const PROCEDURE = {
	sizeProtocolNumber: 10
};

export const DELAYAUTH = {
	delayAfterLoginIDP: 2000,
};

export const FIREBASE = {
	tokenMock: 'fwQIJqgYTzE:APA91bEbUjBRV5_g9fcyOZ-eh4WVt8OUZ8n42TzR26yXqnBeQ9eZk0wfz7GNaGbD9tY9U_oQ8h4kb2LxF57OivdU9kY3BRdmYPtRcEAWIbre3Li3Oje5V_WB0HqziJ384lmIUWVnoeX-',
};

export const TUTORIAL = [
	{
		codice: 1,
		image: '../../assets/imgs/tutorial_image/login.jpg',
		titolo: 'Login',
		descrizione: "Per utilizzare le funzionalità dell'applicazione, occorre effettuare la login.",
	},
	{ codice: 2, image: '../../assets/imgs/tutorial_image/news.jpg', titolo: 'News', descrizione: 'Resta informato su tutte le ultime notizie riguardanti Salerno.' },
	{
		codice: 3,
		image: '../../assets/imgs/tutorial_image/news_dettaglio.jpg',
		titolo: 'Dettaglio News',
		descrizione: 'Dettaglio della singola notizia con approfondimenti multimediali come immagini.',
	},
	{
		codice: 4,
		image: '../../assets/imgs/tutorial_image/gestore_pratiche.jpg',
		titolo: 'Gestore Pratiche',
		descrizione: 'La pagina mostra le proprie pratiche con la possibilità di filtrarle per stato.',
	},
	{ codice: 5, image: '../../assets/imgs/tutorial_image/dettaglio_pratica.jpg', titolo: 'Dettaglio Pratica', descrizione: 'La pagina mostra il dettaglio di una pratica.' },
	{ codice: 6, image: '../../assets/imgs/tutorial_image/alessia.jpg', titolo: 'Chatbot ', descrizione: 'Alessia è il tuo assistente virtuale, tu chiedi, lui risponde.' },
];

export const RESERVATION = {
	titleForWho: 'PER CHI STAI EFFETTUANDO LA PRENOTAZIONE?',
	forMeValue: 'FOR_ME',
	forMeLabel: 'Per te',
	forOthersValue: 'FOR_OTHERS',
	forOthersLabel: "Per un'altra persona",
};

export const CHATBOT = {
	delayChat: {
		delayPreChatOne: 150,
		delayPreChatTwo: 5000,
	},
	buttonTitleTruncate: 26,
};

export const WORD_EXTENSION = ['doc', 'docm', 'docx', 'docx', 'dot', 'dotm', 'dotx'];
export const EXCEL_EXTENSION = ['csv', 'xls', 'xlsb', 'xlsm', 'xlsx', 'xlt', 'xltm', 'xltx'];
export const TEXT_EXTENSION = ['txt'];
export const PDF_EXTENSION = ['pdf'];
export const IMAGE_EXTENSION = ['jpd', 'jpg', 'jpeg', 'png'];

export const CONSOLE = {
	log: false,
	info: true,
};

export const DETAIL_NEWS_LABELS = {
	show: 'Mostra di',
	more: 'più',
	less: 'meno',
	attachments: 'Allegati',
	related: 'Correlati',
	noContent: 'Nessun contenuto',
	aCareOf: 'A cura di',
	correlatedPeople: 'Persone correlate',
	correlatedPlaces: 'Luoghi correlati',
	correlatedNews: 'Notizie correlate',
};

export const DETAIL_PLACE_LABELS = {
	show: 'Mostra di',
	more: 'più',
	less: 'meno',
	attachments: 'Allegati',
	related: 'Correlati',
	noContent: 'Nessun contenuto',
	aCareOf: 'A cura di',
	correlatedPeople: 'Persone correlate',
	correlatedPlaces: 'Luoghi correlati',
	correlatedNews: 'Notizie correlate',
};

export const MEDIA_TYPES = [
	{ extension: '.aac', mediatype: 'audio/aac' },
	{ extension: '.abw', mediatype: 'application/x-abiword' },
	{ extension: '.arc', mediatype: 'application/x-freearc' },
	{ extension: '.avif', mediatype: 'image/avif' },
	{ extension: '.avi', mediatype: 'video/x-msvideo' },
	{ extension: '.azw', mediatype: 'application/vnd.amazon.ebook' },
	{ extension: '.bin', mediatype: 'application/octet-stream' },
	{ extension: '.bmp', mediatype: 'image/bmp' },
	{ extension: '.bz', mediatype: 'application/x-bzip' },
	{ extension: '.bz2', mediatype: 'application/x-bzip2' },
	{ extension: '.cda', mediatype: 'application/x-cdf' },
	{ extension: '.csh', mediatype: 'application/x-csh' },
	{ extension: '.css', mediatype: 'text/css' },
	{ extension: '.csv', mediatype: 'text/csv' },
	{ extension: '.doc', mediatype: 'application/msword' },
	{ extension: '.docx', mediatype: 'application/vnd.openxmlformats-officedocument.wordprocessingml.document' },
	{ extension: '.eot', mediatype: 'application/vnd.ms-fontobject' },
	{ extension: '.epub', mediatype: 'application/epub+zip' },
	{ extension: '.gz', mediatype: 'application/gzip' },
	{ extension: '.gif', mediatype: 'image/gif' },
	{ extension: '.htm', mediatype: 'text/html' },
	{ extension: '.html', mediatype: 'text/html' },
	{ extension: '.ico', mediatype: 'image/vnd.microsoft.icon' },
	{ extension: '.ics', mediatype: 'text/calendar' },
	{ extension: '.jar', mediatype: 'application/java-archive' },
	{ extension: '.jpeg', mediatype: 'image/jpeg' },
	{ extension: '.jpg', mediatype: 'image/jpeg' },
	{ extension: '.js', mediatype: 'text/javascript' },
	{ extension: '.json', mediatype: 'application/json' },
	{ extension: '.jsonld', mediatype: 'application/ld+json' },
	{ extension: '.mid', mediatype: 'audio/midi' },
	{ extension: '.midi', mediatype: 'audio/x-midi' },
	{ extension: '.mjs', mediatype: 'text/javascript' },
	{ extension: '.mp3', mediatype: 'audio/mpeg' },
	{ extension: '.mp4', mediatype: 'video/mp4' },
	{ extension: '.mpeg', mediatype: 'video/mpeg' },
	{ extension: '.mpkg', mediatype: 'application/vnd.apple.installer+xml' },
	{ extension: '.odp', mediatype: 'application/vnd.oasis.opendocument.presentation' },
	{ extension: '.ods', mediatype: 'application/vnd.oasis.opendocument.spreadsheet' },
	{ extension: '.odt', mediatype: 'application/vnd.oasis.opendocument.text' },
	{ extension: '.oga', mediatype: 'audio/ogg' },
	{ extension: '.ogv', mediatype: 'video/ogg' },
	{ extension: '.ogx', mediatype: 'application/ogg' },
	{ extension: '.opus', mediatype: 'audio/opus' },
	{ extension: '.otf', mediatype: 'font/otf' },
	{ extension: '.png', mediatype: 'image/png' },
	{ extension: '.pdf', mediatype: 'application/pdf' },
	{ extension: '.php', mediatype: 'application/x-httpd-php' },
	{ extension: '.ppt', mediatype: 'application/vnd.ms-powerpoint' },
	{ extension: '.pptx', mediatype: 'application/vnd.openxmlformats-officedocument.presentationml.presentation' },
	{ extension: '.rar', mediatype: 'application/vnd.rar' },
	{ extension: '.rtf', mediatype: 'application/rtf' },
	{ extension: '.sh', mediatype: 'application/x-sh' },
	{ extension: '.svg', mediatype: 'image/svg+xml' },
	{ extension: '.tar', mediatype: 'application/x-tar' },
	{ extension: '.tif', mediatype: 'image/tiff' },
	{ extension: '.tiff', mediatype: 'image/tiff' },
	{ extension: '.ts', mediatype: 'video/mp2t' },
	{ extension: '.ttf', mediatype: 'font/ttf' },
	{ extension: '.txt', mediatype: 'text/plain' },
	{ extension: '.vsd', mediatype: 'application/vnd.visio' },
	{ extension: '.wav', mediatype: 'audio/wav' },
	{ extension: '.weba', mediatype: 'audio/webm' },
	{ extension: '.webm', mediatype: 'video/webm' },
	{ extension: '.webp', mediatype: 'image/webp' },
	{ extension: '.woff', mediatype: 'font/woff' },
	{ extension: '.woff2', mediatype: 'font/woff2' },
	{ extension: '.xhtml', mediatype: 'application/xhtml+xml' },
	{ extension: '.xls', mediatype: 'application/vnd.ms-excel' },
	{ extension: '.xlsx', mediatype: 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet' },
	{ extension: '.xml', mediatype: 'application/xml' },
	{ extension: '.xul', mediatype: 'application/vnd.mozilla.xul+xml' },
	{ extension: '.zip', mediatype: 'application/zip' },
	{ extension: '.3gp', mediatype: 'audio/video' },
	{ extension: '.3g2', mediatype: 'audio/video' },
	{ extension: '.7z', mediatype: 'application/x-7z-compressed' },
];

export function getMediaTypeFromPath(path: string) {
	const mediatype = MEDIA_TYPES.find((mt) => {
		return path.indexOf(mt.extension) > 0;
	});
	return mediatype ? mediatype.mediatype : '';
}

export function getExtensionFromMediaType(mediaType: string) {
	const media = MEDIA_TYPES.find((mt) => {
		return mediaType === mt.mediatype;
	});
	return media ? media.extension : '';
}

export const NEWS_DETAIL_BODY_MAX_HEIGHT = 150;

export const PLACE_DETAIL_BODY_MAX_HEIGHT = 80;

export const OPEN_STREET_MAPS = {
	limit_poi: 100,
	city: 'Salerno',
	center: {
		lat: 40.6824408,
		lng: 14.7680961
	},
	params_search: 'addressdetails=1&extratags=1&limit=$1&bounded=1&amenity=$2&format=json&city=$3&countrycodes=it&exclude_place_ids=23844456&viewbox=$4',
	viewboxParams: '&viewbox=$4',
	cityParams: '&city=$3',
	enableBoxView: true,
	enableCity: true,
	linkObtainCoord: 'q=$1&format=json&polygon=1&addressdetails=1'
}; // http://nominatim.openstreetmap.org/search?q=$1&format=json&polygon=1&addressdetails=1
//Via Porta di Ronca, 84125 Salerno (Sa) Italia
export const PROP_TEMPLATE_CONFIGURATION = 'pratiche.template.configuration';

export const TEMPLATE_CONFIGURATION_DEFAULT = {
	code: "DEFAULT",
	description: "Default",
	idProcedure: ""
};

export const TEMPLATES_CODE = {
	denunciaTari: 'DENUNCIA_TARI',
	praticaTari: 'PRATICA_TARI',
	praticaToponomastica: 'PRATICA_TOPONOMASTICA',
	richiestaPartConcorso: 'RICHIESTA_PARTECIPAZIONE_CONCORSO',
	simelScia: 'SIMEL2_SCIA',
	default: 'DEFAULT'
};

export const TEMPLATE_PROCEDURE = {
	praticaTari: {
		title: 'Dettaglio TARI - istanza di ',
		info: {
			oggettoSimel: 'Oggetto',
			titleCard: 'Info base',
			identificativoPratica: 'Identificativo Pratica ',
			numeroPraticaFromSimel: 'Numero Pratica',
			dataProtocollo: 'Data Protocollo'
		},
		richiedente: {
			titleCard: 'Intestatari',
			codiceFiscale: 'Codice Fiscale',
			nome: 'Nome',
			cognome: 'Cognome',
			inQualita: 'In qualità di'
		},
		datiCatastali: {
			titleCard: 'Dati Catastali',
			via: 'Via',
			foglio: 'Foglio',
			particella: 'Particella',
			subalterno: 'Subalterno'
		},
		proprietario: {
			titleCard: 'Proprietario',
			codiceFiscale: 'Codice Fiscale',
			nome: 'Nome',
			cognome: 'Cognome'
		},
		ubicazioniLavori: {
			titleCard: 'Ubicazioni lavori (Verificata)',
			ubiVia: 'Via',
			ubiCiv: 'Civico'
		}
	},
	denunciaTari: {
		title: 'Dettaglio - utenza ',
		header: {
			nonDomestica: 'non domestica',
			domestica: 'domestica',
			firstText: 'denuncia di ',
			secondText: 'ai fini TARI'
		},
		info: {
			titleCard: 'Info base',
			oggettoSimel: 'Oggetto',
			identificativoPratica: 'Identificativo Pratica ',
			numeroPraticaFromSimel: 'Numero Pratica',
			dataProtocollo: 'Data Protocollo'
		},
		richiedente: {
			titleCard: 'Intestatari',
			codiceFiscale: 'Codice Fiscale',
			nome: 'Nome',
			cognome: 'Cognome',
			inQualita: 'In qualità di'
		},
		datiCatastali: {
			titleCard: 'Immobili',
			via: 'Via',
			foglio: 'Foglio',
			particella: 'Particella',
			subalterno: 'Subalterno'
		},
		proprietario: {
			titleCard: 'Proprietario',
			codiceFiscale: 'Codice Fiscale',
			nome: 'Nome',
			cognome: 'Cognome'
		}
	},
	toponomastica: {
		title: 'Dettaglio Toponomastica',
		info: {
			titleCard: 'Info base',
			identificativoPratica: 'Identificativo Pratica ',
			numeroPratica: 'Numero Pratica ',
			dataProtocollo: 'Presentata il '
		},
		tipoRichiesta: {
			titleCard: 'Tipo Richiesta',
			title: 'Tipo richiesta',
			attribuzioneCivico: 'Attribuzione del numero civico',
			verificaIndirizzo: 'Verifica dell\'indirizzo',
			fornituraTarghetta: 'Fornitura della targhetta',
			variazione: 'Certificazione per variazione stradale e/o numerazione civico'
		},
		richiedente: {
			titleCard: 'Richiedenti',
			codiceFiscale: 'Codice Fiscale',
			nome: 'Nome',
			cognome: 'Cognome',
			inQualita: 'In qualità di'
		},
		datiCatastali: {
			titleCard: 'Dati Catastali',
			foglio: 'Foglio',
			particella: 'Particella',
			subalterno: 'Subalterno'
		},
		proprietario: {
			titleCard: 'Proprietario',
			codiceFiscale: 'Codice Fiscale',
			nome: 'Nome',
			cognome: 'Cognome'
		}
	},
	richiestaPartConcorso: {
		title: 'Dettaglio Richiesta di partecipazione al Concorso',
		info: {
			titleCard: 'Info base',
			numeroProtocollo: 'Numero Protocollo',
			identificativoPratica: 'Identificativo Pratica',
			tipologiaConcorso: 'Tipologia Concorso',
			dataPrimoProtocollo: 'Presentata il'
		},
		richiedente: { // intestatario
			titleCard: 'Intestatari',
			codiceFiscale: 'Codice Fiscale',
			nome: 'Nome',
			cognome: 'Cognome'
		},
		datiCatastali: {
			titleCard: 'Dati Catastali',
			foglio: 'Foglio',
			particella: 'Particella',
			subalterno: 'Subalterno'
		},
		proprietario: {
			titleCard: 'Proprietario',
			codiceFiscale: 'Codice Fiscale',
			nome: 'Nome',
			cognome: 'Cognome'
		}
	},
	simelScia: {
		title: 'Dettaglio SCIA',
		info: {
			titleCard: 'Info base',
		},
		richiedente: {
			titleCard: 'Richiedenti',
			codiceFiscale: 'Codice Fiscale',
			nome: 'Nome',
			cognome: 'Cognome',
			inQualita: 'In qualità di'
		},
		datiCatastali: {
			titleCard: 'Dati Catastali',
			foglio: 'Foglio',
			particella: 'Particella',
			subalterno: 'Subalterno'
		},
		proprietario: {
			titleCard: 'Proprietario',
			codiceFiscale: 'Codice Fiscale',
			nome: 'Nome',
			cognome: 'Cognome'
		},
		ubicazioniLavori: {
			titleCard: 'Ubicazioni lavori (Verificata)',
			ubiVia: 'Via',
			ubiCiv: 'Civico'
		},
		iter: {
			titleCard: 'Iter',
			data: 'Data',
			descrizione: 'Descrizione fase',
			responsabile: 'Responsabile',
			stato: 'Stato'
		},
		owner: { // titolari
			titleCard: 'Titolari',
			codiceFiscale: 'Codice Fiscale',
			nome: 'Nome',
			cognome: 'Cognome'
		}
	},
	default: {
		title: 'Dettaglio',
		info: {
			titleCard: 'Info base',
		},
		tipoRichiesta: {
			titleCard: 'Tipo Richiesta',
		},
		richiedente: {
			titleCard: 'Richiedenti',
			codiceFiscale: 'Codice Fiscale',
			nome: 'Nome',
			cognome: 'Cognome',
			inQualita: 'In qualità di'
		},
		datiCatastali: {
			titleCard: 'Dati Catastali',
			foglio: 'Foglio',
			particella: 'Particella',
			subalterno: 'Subalterno'
		},
		proprietario: {
			titleCard: 'Proprietario',
			codiceFiscale: 'Codice Fiscale',
			nome: 'Nome',
			cognome: 'Cognome'
		}
	},
	codeVariables: {
		tipoRichiesta: 'tipoRichiesta',
		numeroPraticaFromSimel: 'numeroPraticaFromSimel',
		oggettoFromSimel: 'oggettoFromSimel',
		attribuzioneCivico: 'attribuzioneCivico',
		verificaIndirizzo: 'verificaIndirizzo',
		fornituraTarghetta: 'fornituraTarghetta',
		variazione: 'variazione',
		dataProtocollo: 'dataProtocollo',
		codiceFiscale: 'codiceFiscale',
		nome: 'nome',
		cognome: 'cognome',
		codiceFiscale_t: 'codiceFiscale_t',
		nome_t: 'nome_t',
		cognome_t: 'cognome_t',
		codiceFiscale_proc: 'codiceFiscale_proc',
		nome_proc: 'nome_proc',
		cognome_proc: 'cognome_proc',
		inQualita: 'ruolo',
		codiceFiscale_tit: 'codiceFiscale_tit',
		nome_tit: 'nome_tit',
		cognome_tit: 'cognome_tit',
		catasto: 'catasto',
		propImmobile: 'propImmobile',
		codiceFiscaleProprietario: 'codiceFiscaleProprietario',
		nomeProprietario: 'nomeProprietario',
		cognomeProprietario: 'cognomeProprietario',
		ubiCiv: 'ubiCiv',
		ubiVia: 'ubiVia',
		stradarioSalerno: 'stradarioSalerno',
		ubicazioneDatiCat: 'Ubicazione_Dati_cat',
		labelVia: 'labelVia',
		via: 'Via',
		civico: 'Civico',
		displayName: 'displayName',
		selezioneUtenza: 'selezioneUtenza',
		tipoUtenzaNonDomestica: 'tipoUtenzaNonDomestica',
		tipoUtenzaDomestica: 'tipoUtenzaDomestica',
		nonDomestica: 'nonDomestica',
		immobili: 'immobili',
		stradarioSAImmobile: 'stradarioSAImmobile',
		dataIter: 'data',
		statusIter: 'status',
		responsabileIter: 'responsabile',
		statoIter: 'stato',
		statoPraticaJson: 'statoPraticaJson',
		titolari: 'titolari',

		primoProtocollo: 'primoProtocollo',
		concorsoSelRiepilogo: 'concorsoSelRiepilogo',
		dataPrimoProtocollo: 'dataPrimoProtocollo',

	},
	pipeDateFormat: {
		dataProtocollo: 'dd/MM/yyyy',
		dataIter: 'dd/MM/yyyy',
		dataPrimoProtocollo: 'dd/MM/yyyy',
	}
};

export const EMOTICON_SATISFACTION = [
	{
		code: '01',
		description: 'happy',
		path: 'assets/imgs/happy.svg'
	},
	{
		code: '02',
		description: 'unhappy',
		path: 'assets/imgs/sad.svg'
	}
];

export const TYPE_FUNCTIONALITY = {
	getPrenotazioni: 'GETPRENOTAZIONI'
};

export const PLACES = {
	placesTypeDefault: 1
}