package it.itsvil.macs.backend.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import it.itsvil.macs.backend.dto.ComunicazioneDTO;
import it.itsvil.macs.backend.mapper.ComunicazioneMapper;
import lombok.extern.log4j.Log4j2;

@Log4j2
@Repository(value = "ComunicazioneDaoImpl")
public class ComunicazioneDaoImpl implements ComunicazioneDao {
	
	@Autowired
	private ComunicazioneMapper mapper;
	
	@Override
	public ComunicazioneDTO getComunicazioneById(Long n_id) {
		ComunicazioneDTO result = null;
		try {
			log.debug("START");
			result = mapper.getComunicazioneById(n_id);
			log.debug("END");
		}catch (Exception e) {
			log.error("ERRORE NELLA SELECT: {}", e.getMessage());
			return null;
		}
		return result;
	}
	
	@Override
	public Long insertComunicazione(ComunicazioneDTO request) {
		Long result=null;
		try {
			log.debug("START");
			result = mapper.nextSqComunicazione();
			request.setN_id(result);
			mapper.insertComunicazione(request);
			log.debug("END");
		}catch (Exception e) {
			log.error("ERRORE NELLA INSERT: {}", e.getMessage());
			return null;
		}
		return result;
	}

}
