package it.itsvil.macs.backend.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import it.itsvil.macs.backend.dto.UserDTO;
import it.itsvil.macs.backend.mapper.UserMapper;
import lombok.extern.log4j.Log4j2;

@Log4j2
@Repository(value = "UserDaoImpl")
public class UserDaoImpl implements UserDao {
	
	@Autowired
	private UserMapper mapper;
	
	@Override
	public UserDTO checkUser(String spidCode) {
		UserDTO result = null;
		try {
			log.debug("START");
			result = mapper.checkUser(spidCode);
			log.debug("END");
		}catch (Exception e) {
			log.error("ERRORE NELLA SELECT: {}", e.getMessage());
			return null;
		}
		return result;
	}

	@Override
	public boolean insertUser(UserDTO user) {
		try {
			log.debug("START");
			mapper.insertUser(user);
			log.debug("END");
			return true;
		}catch (Exception e) {
			log.error("ERRORE NELLA INSERT: {}", e.getMessage());
			return false;
		}
	}

}
