package it.itsvil.macs.backend.dto;

import java.io.Serializable;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

@JsonInclude(Include.NON_ABSENT)
public class ConfermaPrenotazioneCoreRequestDTO implements Serializable{
	
	private static final long serialVersionUID = 8829276562049879410L;

	private AnagraficaDTO anagraficaPresentate;
	
	private AnagraficaDTO anagraficaFruitore;
	
	private List<RisposteInternalDTO> risposte;
	
	private String note;

	public AnagraficaDTO getAnagraficaPresentate() {
		return anagraficaPresentate;
	}

	public void setAnagraficaPresentate(AnagraficaDTO anagraficaPresentate) {
		this.anagraficaPresentate = anagraficaPresentate;
	}

	public AnagraficaDTO getAnagraficaFruitore() {
		return anagraficaFruitore;
	}

	public void setAnagraficaFruitore(AnagraficaDTO anagraficaFruitore) {
		this.anagraficaFruitore = anagraficaFruitore;
	}

	public List<RisposteInternalDTO> getRisposte() {
		return risposte;
	}

	public void setRisposte(List<RisposteInternalDTO> risposte) {
		this.risposte = risposte;
	}

	public String getNote() {
		return note;
	}

	public void setNote(String note) {
		this.note = note;
	}
	
	public void setAll(Object obj) {
		if(obj instanceof ConfermaPrenotazioneRequestDTO) {
			ConfermaPrenotazioneRequestDTO prenotazione = (ConfermaPrenotazioneRequestDTO) obj;
			
			this.setAnagraficaPresentate(prenotazione.getAnagraficaPresentante());
			this.setAnagraficaFruitore(prenotazione.getAnagraficaFruitore());
			this.setRisposte(prenotazione.getRisposte());
			this.setNote(prenotazione.getNote());
		}
	}
	
}
