package it.itsvil.macs.backend.dto;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;


@JsonInclude(Include.NON_ABSENT)
public class RisultatoDTO<T> implements Serializable {

	private static final long serialVersionUID = 1962897330618344632L;
	protected boolean success;
	protected int code;
	protected String descrizione;
	protected T data;
	
	public RisultatoDTO(){
		clear();
	}
	
	public void clear(){
		this.success = false;
		this.code = 0;
		this.data = null;
		this.descrizione = null;
	}

	public boolean isSuccess() {
		return success;
	}

	public RisultatoDTO<T> success(int code) {
		this.success = true;
		this.code= code;
		return this;
	}
	
	public RisultatoDTO<T> error(String errore,int code) {
		this.success = false;
		this.descrizione = errore;
		this.code = code;
		this.data = null;
		return this;
	}
	
	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	public T getData() {
		return data;
	}

	public RisultatoDTO<T> setData(T data) {
		this.data = data;
		return this;
	}

	public String getDescrizione() {
		return descrizione;
	}

	public void setDescrizione(String descrizione) {
		this.descrizione = descrizione;
	}
}