package it.itsvil.macs.backend.service;

import org.springframework.stereotype.Service;

import it.itsvil.macs.backend.dto.AnnullaPrenotazioneRequestDTO;
import it.itsvil.macs.backend.dto.AnnullaPrenotazioneResponseDTO;
import it.itsvil.macs.backend.dto.AuditRequestDTO;
import it.itsvil.macs.backend.dto.ConfermaPrenotazioneCustomRequestDTO;
import it.itsvil.macs.backend.dto.ConfermaPrenotazioneResponseDTO;
import it.itsvil.macs.backend.dto.CoreRequestDTO;
import it.itsvil.macs.backend.dto.DisdiciPrenotazioneRequestDTO;
import it.itsvil.macs.backend.dto.DisdiciPrenotazioneResponseDTO;
import it.itsvil.macs.backend.dto.DownloadDocumentoRequestDTO;
import it.itsvil.macs.backend.dto.DownloadDocumentoResponseDTO;
import it.itsvil.macs.backend.dto.GestorePraticaSendPushRequestDTO;
import it.itsvil.macs.backend.dto.InfoRisorseRequestDTO;
import it.itsvil.macs.backend.dto.InfoRisorseResponseDTO;
import it.itsvil.macs.backend.dto.InitPrenotazioneRequestDTO;
import it.itsvil.macs.backend.dto.InitPrenotazioneResponseDTO;
import it.itsvil.macs.backend.dto.ListaPrenotazioneResponseDTO;
import it.itsvil.macs.backend.dto.ListaRisorseMobileAppRequest;
import it.itsvil.macs.backend.dto.ListaRisorseMobileAppResponse;
import it.itsvil.macs.backend.dto.PeriodiDisponibiliRequestDTO;
import it.itsvil.macs.backend.dto.PeriodiDisponibiliResponseDTO;
import it.itsvil.macs.backend.dto.PrenotazioneByIdRequestDTO;
import it.itsvil.macs.backend.dto.ProfilatoreDettaglioUtenteRequestDTO;
import it.itsvil.macs.backend.dto.ProfilatoreDettaglioUtenteResponseDTO;
import it.itsvil.macs.backend.dto.ProviderListResponseDTO;

@Service
public interface MacsService {
	
	String keepAlive(int id);
	ProviderListResponseDTO providerList();
	
	//Operatività
	InfoRisorseResponseDTO infoRisorse(InfoRisorseRequestDTO request);
	ListaRisorseMobileAppResponse listaUffici(CoreRequestDTO request);
	ListaRisorseMobileAppResponse listaRisorsa(ListaRisorseMobileAppRequest request);
	PeriodiDisponibiliResponseDTO periodiDisponibili(PeriodiDisponibiliRequestDTO request);
	DownloadDocumentoResponseDTO downloadDocumento(DownloadDocumentoRequestDTO request);
	InitPrenotazioneResponseDTO initPrenotazione(InitPrenotazioneRequestDTO request);
	AnnullaPrenotazioneResponseDTO annullaPrenotazione(AnnullaPrenotazioneRequestDTO request);
	ConfermaPrenotazioneResponseDTO confermaPrenotazione(ConfermaPrenotazioneCustomRequestDTO request);
	DisdiciPrenotazioneResponseDTO disdiciPrenotazione(DisdiciPrenotazioneRequestDTO request);
	ListaPrenotazioneResponseDTO listaPrenotazioni(CoreRequestDTO request);
	ListaPrenotazioneResponseDTO prenotazioneById(PrenotazioneByIdRequestDTO request);
	ProfilatoreDettaglioUtenteResponseDTO getDettaglioUtenza(ProfilatoreDettaglioUtenteRequestDTO request);
	void updateSatisfactionPrenotazione(int n_id_prenotazione, String t_satisfaction);
	boolean sendPushGestorePratiche(GestorePraticaSendPushRequestDTO request);
	boolean sendPushNews(String idNews);
	//audit
	void audit(AuditRequestDTO request);
	void upDateAudit(int idPrenotazione);
	public String getProperty(String property);
}
