package it.itsvil.macs.task;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import it.itsvil.macs.backend.service.DispositivoService;
import lombok.extern.log4j.Log4j2;

@Log4j2
@Component
public class ScheduledTasks {
	
	@Autowired
	private DispositivoService dispositivoService;
	
	@Scheduled(cron = "${macs.scheduler.prenotazionepush}", zone = "Europe/Rome") //TODO:Recuperare proprieta'
	public void prenotazionePushTask() {
		log.info("START");
		dispositivoService.listOfNotification();
		log.info("END");
	}
	
	@Scheduled(cron = "${macs.scheduler.remaindmepush}", zone = "Europe/Rome") //TODO:Recuperare proprieta'
	public void remaindMePushTask() {
		log.info("START");
		dispositivoService.remainderToUse();
		log.info("END");
	}

}
