package it.itsvil.notificatore.backend.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import it.itsvil.notificatore.backend.dto.EmailBodyDTO;
import it.itsvil.notificatore.backend.dto.KeysDTO;
import it.itsvil.notificatore.backend.dto.NotificationConfDTO;
import it.itsvil.notificatore.backend.dto.UserNotificationDTO;
import it.itsvil.notificatore.backend.mapper.NotificatoreConfigurationMapper;

@Repository(value = "NotificatoreConfigurationDaoImpl")
public class NotificatoreConfigurationDaoImpl implements NotificatoreConfigurationDao{

	@Autowired
	NotificatoreConfigurationMapper mapper;

	@Override
	public void insertKeys(KeysDTO request) {
		mapper.insertKeys(request);
	}

	@Override
	public void insertUserNotification(UserNotificationDTO request) {
		mapper.insertUserNotification(request);
		
	}

	@Override
	public void updateUserNotification(UserNotificationDTO request) {
		mapper.updateUserNotification(request);
	}

	@Override
	public void insertNotificationConf(NotificationConfDTO request) {
		mapper.insertNotificationConf(request);
	}

	@Override
	public void updateNotificationConf(NotificationConfDTO request) {
		mapper.updateNotificationConf(request);
		
	}

	@Override
	public void insertEmailBody(EmailBodyDTO request) {
		mapper.insertEmailBody(request);
	}

	@Override
	public void updateEmailBody(EmailBodyDTO request) {
		mapper.updateEmailBody(request);
	}
	
}
