package it.itsvil.notificatore.backend.dto;

import java.io.Serializable;
import java.util.HashMap;
import java.util.List;

import io.swagger.v3.oas.annotations.media.Schema;

public class BroadcastPushNotificationRequestDTO implements Serializable{

	private static final long serialVersionUID = -4035454408243664485L;
	
	@Schema(required=true, description="Struttura contenente la lista di token identificativi dei destinatari")
	private List<TokenDTO> listOfToken;
	
	@Schema(required=true, description="Titolo della notifica push")
	private String pushTitle;
	
	@Schema(required=true, description="Messaggio della notifica push")
	private String pushMessage;
	
	@Schema(required=false, description="Struttura chiave-valore per inviare una serie di parametri aggiuntivi nella notifica")
	private HashMap<String,String> parametriAggiuntivi;

	public List<TokenDTO> getListOfToken() {
		return listOfToken;
	}
	
	public void setListOfToken(List<TokenDTO> listOfToken) {
		this.listOfToken = listOfToken;
	}
	
	public String getPushTitle() {
		return pushTitle;
	}
	
	public void setPushTitle(String pushTitle) {
		this.pushTitle = pushTitle;
	}
	
	public String getPushMessage() {
		return pushMessage;
	}

	public void setPushMessage(String pushMessage) {
		this.pushMessage = pushMessage;
	}

	public HashMap<String, String> getParametriAggiuntivi() {
		return parametriAggiuntivi;
	}
	
	public void setParametriAggiuntivi(HashMap<String, String> parametriAggiuntivi) {
		this.parametriAggiuntivi = parametriAggiuntivi;
	}
}
