package it.itsvil.notificatore.backend.dto;

import java.io.Serializable;
import java.util.HashMap;

import io.swagger.v3.oas.annotations.media.Schema;

public class PunctualPushNotificationDTO implements Serializable{

	private static final long serialVersionUID = -5157863076671928128L;
	
	@Schema(required=true, description="Struttura contenente il token identificativo dei destinatari")
	private TokenDTO token;
	
	@Schema(required=true, description="Titolo della notifica push")
	private String pushTitle;
	
	@Schema(required=true, description="Messaggio della notifica push")
	private String pushMessage;
	
	@Schema(required=false, description="Struttura chiave-valore per inviare una serie di parametri aggiuntivi nella notifica")
	private HashMap<String,String> parametriAggiuntivi;

	public TokenDTO getToken() {
		return token;
	}

	public void setToken(TokenDTO token) {
		this.token = token;
	}

	public String getPushTitle() {
		return pushTitle;
	}

	public void setPushTitle(String pushTitle) {
		this.pushTitle = pushTitle;
	}

	public String getPushMessage() {
		return pushMessage;
	}

	public void setPushMessage(String pushMessage) {
		this.pushMessage = pushMessage;
	}

	public HashMap<String, String> getParametriAggiuntivi() {
		return parametriAggiuntivi;
	}

	public void setParametriAggiuntivi(HashMap<String, String> parametriAggiuntivi) {
		this.parametriAggiuntivi = parametriAggiuntivi;
	}
	
	
}
