package it.itsvil.notificatore.backend.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.google.gson.annotations.JsonAdapter;

import io.swagger.v3.oas.annotations.media.Schema;
import it.itsvil.notificatore.backend.utils.LocalDateTimeAdapter;

@JsonInclude(Include.NON_ABSENT)
public class UserNotificationDTO implements Serializable{
	
	private static final long serialVersionUID = -2504514537360574869L;
	
	@Schema(required=true, description="Identificativo univoco dell'applicazione")
	private String n_id_app;
	
	@Schema(required=true, description="Stato di attivazione",  allowableValues="Y,N")
	private String b_attivo;
	
	@JsonAdapter(LocalDateTimeAdapter.class)
	@Schema(required=true, description="Data di creazione")
	private LocalDateTime d_data_ins;
	
	public String getN_id_app() {
		return n_id_app;
	}
	public void setN_id_app(String n_id_app) {
		this.n_id_app = n_id_app;
	}
	public String getB_attivo() {
		return b_attivo;
	}
	public void setB_attivo(String b_attivo) {
		this.b_attivo = b_attivo;
	}
	public LocalDateTime getD_data_ins() {
		return d_data_ins;
	}
	public void setD_data_ins(LocalDateTime d_data_ins) {
		this.d_data_ins = d_data_ins;
	}

}
