package it.itsvil.profilatore.backend.dao;

import java.util.HashMap;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import it.itsvil.profilatore.backend.dto.FunzionalitaAggiuntiveDTO;
import it.itsvil.profilatore.backend.dto.FunzionalitaDTO;
import it.itsvil.profilatore.backend.dto.FunzioneDTO;
import it.itsvil.profilatore.backend.dto.FunzioneFunzionalitaDTO;
import it.itsvil.profilatore.backend.dto.RuoloDTO;
import it.itsvil.profilatore.backend.mapper.ProfilatoreConfigurationMapper;

@Repository(value = "ProfilatoreConfigurationDaoImpl")
public class ProfilatoreConfigurationDaoImpl implements ProfilatoreConfigurationDao{

	@Autowired
	ProfilatoreConfigurationMapper mapper;

	@Override
	public void insertFunzionalita(FunzionalitaDTO request) {
		mapper.insertFunzionalita(request);
	}

	@Override
	public Long getSqFunzionalita() {
		return mapper.getSqFunzionalita();
	}

	@Override
	public void setFunzionalita(FunzionalitaDTO request) {
		mapper.setFunzionalita(request);

	}



	@Override
	public Long getSequenceRuolo() {
		return mapper.getSequenceRuolo();
	}

	@Override
	public void insertRuolo(RuoloDTO request) {
		mapper.insertRuolo(request);
	}

	@Override
	public void setRuolo(RuoloDTO request) {
		Map<String, Object> map = new HashMap<String, Object>();
		map.put("t_descrizione", request.getT_descrizione());
		map.put("b_attivo", request.getB_attivo());
		map.put("t_nome", request.getT_nome());
		map.put("n_id_ruolo", request.getN_id_ruolo());
		mapper.setRuolo(map);
	}

	@Override
	public Long nextFunzioneSequence() {
		return mapper.nextFunzioneSequence();
	}

	@Override
	public void insertFunzione(FunzioneDTO request) {
		mapper.insertFunzione(request);
	}

	@Override
	public void updateFunzione(FunzioneDTO request) {
		mapper.updateFunzione(request);
	}
	
	@Override
	public void insertFunzioneFunzionalita(FunzioneFunzionalitaDTO request) {
		mapper.insertFunzioneFunzionalita(request);
	}

	@Override
	public void setFunzioneFunzionalita(FunzioneFunzionalitaDTO request) {
		Map<String, Object> map = new HashMap<String, Object>();
		map.put("b_attivo", request.getB_attivo());
		map.put("n_id_funzione", request.getN_id_funzione());
		map.put("n_id_funzionalita", request.getN_id_funzionalita());
		mapper.setFunzioneFunzionalita(map);
	}
	
	@Override
	public void insertFunzionalitaAggiuntive(FunzionalitaAggiuntiveDTO request) {
		mapper.insertFunzionalitaAggiuntive(request);
		
	}

	@Override
	public void updateFunzionalitaAggiuntive(FunzionalitaAggiuntiveDTO request) {
		mapper.updateFunzionalitaAggiuntive(request);
		
	}

	@Override
	public void deleteFunzioneFunzionalita(Long n_id_funzione, Long n_id_funzionalita) {
		Map<String, Object> map = new HashMap<String, Object>();
		map.put("n_id_funzione", n_id_funzione);
		map.put("n_id_funzionalita", n_id_funzionalita);
		mapper.deleteFunzioneFunzionalita(map);
	}

	@Override
	public void deleteFunzionalitaAggiuntive(Long n_id_funzionalita, Long n_id_utente, Long n_id_funzione) {
		Map<String, Object> map = new HashMap<String, Object>();
		map.put("n_id_funzionalita", n_id_funzionalita);
		map.put("n_id_utente", n_id_utente);
		map.put("n_id_funzione", n_id_funzione);
		mapper.deleteFunzionalitaAggiuntive(map);
	}
}
