package it.itsvil.profilatore.backend.dao;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import it.itsvil.profilatore.backend.dto.DettaglioFunzionalitaAggiuntiveDTO;
import it.itsvil.profilatore.backend.dto.FunzionalitaDTO;
import it.itsvil.profilatore.backend.dto.FunzioneDTO;
import it.itsvil.profilatore.backend.dto.RuoloDTO;
import it.itsvil.profilatore.backend.dto.UtenzeDTO;
import it.itsvil.profilatore.backend.mapper.ProfilatoreMapper;

@Repository(value = "ProfilatoreDaoImpl")
public class ProfilatoreDaoImpl implements ProfilatoreDao{

	@Autowired
	ProfilatoreMapper mapper;

	@Override
	public void updateUtenza(UtenzeDTO request) {
		mapper.updateUtenza(request);
	}

	@Override
	public RuoloDTO getRuolo (Long n_id_ruolo, String t_nome, String n_id_app) {
		RuoloDTO ruolo = new RuoloDTO();
		ruolo.setN_id_app(n_id_app);
		ruolo.setN_id_ruolo(n_id_ruolo);
		ruolo.setT_nome(t_nome);
		return mapper.getRuolo(ruolo);
	}

	@Override
	public List<FunzioneDTO> getFunzione(Long n_id_ruolo) {
		return mapper.getFunzione(n_id_ruolo);
	}

	@Override
	public List<FunzionalitaDTO> getFunzionalitaAttive(Long n_id_funzione) {
		return mapper.getFunzionalitaAttive(n_id_funzione);
	}

	@Override
	public UtenzeDTO getUtente(String t_id_user, String n_id_app) {
		UtenzeDTO u=new UtenzeDTO();		
		u.setN_id_app(n_id_app);
		u.setT_id_user(t_id_user);
		return mapper.getUtente(u);
	}

	@Override
	public List<DettaglioFunzionalitaAggiuntiveDTO>getFunzionalitaAggiuntiveAttive(Long n_id_utente) {
				return mapper.getFunzionalitaAggiuntiveAttive(n_id_utente);
	}
	

	@Override
	public Long nextUserSequence() {
		return mapper.nextUserSequence();
	}
	

	@Override
	public void insertUtenza(UtenzeDTO request) {
		mapper.insertUtenza(request);
	}
	
}
