package it.itsvil.profilatore.backend.dto;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.google.gson.annotations.JsonAdapter;

import io.swagger.v3.oas.annotations.media.Schema;
import it.itsvil.profilatore.backend.utils.LocalDateTimeAdapter;

@JsonInclude(Include.NON_ABSENT)
public class DettaglioRuoloDTO implements Serializable{

	private static final long serialVersionUID = -8172731701230079845L;
	
	@Schema(required=true, description="Identificativo univoco del ruolo")
	private Long n_id_ruolo;
	
	@Schema(hidden=true)
	private String n_id_app;
	
	@JsonAdapter(LocalDateTimeAdapter.class)
	@Schema(required=true, description="Data di creazione della profilazione legata all'utenza")
	private LocalDateTime d_data_ins;
	
	@Schema(required=true, description="Descrizione del ruolo")
	private String t_descrizione;
	
	@Schema(hidden=true)
	private String b_attivo;
	
	@Schema(required=true, description="Nome del ruolo")
	private String t_nome;
	
	@Schema(required=false, description="Oggetto contenente la lista delle funzioni legate all'utenza")
	private List<DettaglioFunzioneDTO> funzioni;
	
	public Long getN_id_ruolo() {
		return n_id_ruolo;
	}
	
	public void setN_id_ruolo(Long n_id_ruolo) {
		this.n_id_ruolo = n_id_ruolo;
	}
	
	public String getN_id_app() {
		return n_id_app;
	}
	
	public void setN_id_app(String n_id_app) {
		this.n_id_app = n_id_app;
	}
	
	public LocalDateTime getD_data_ins() {
		return d_data_ins;
	}
	
	public void setD_data_ins(LocalDateTime d_data_ins) {
		this.d_data_ins = d_data_ins;
	}
	
	public String getT_descrizione() {
		return t_descrizione;
	}
	
	public void setT_descrizione(String t_descrizione) {
		this.t_descrizione = t_descrizione;
	}
	
	public String getB_attivo() {
		return b_attivo;
	}
	
	public void setB_attivo(String b_attivo) {
		this.b_attivo = b_attivo;
	}
	
	public String getT_nome() {
		return t_nome;
	}
	
	public void setT_nome(String t_nome) {
		this.t_nome = t_nome;
	}
	
	public List<DettaglioFunzioneDTO> getFunzioni() {
		return funzioni;
	}
	
	public void setFunzioni(List<DettaglioFunzioneDTO> funzioni) {
		this.funzioni = funzioni;
	}
	
}
