package it.itsvil.profilatore.backend.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.google.gson.annotations.JsonAdapter;

import io.swagger.v3.oas.annotations.media.Schema;
import it.itsvil.profilatore.backend.utils.LocalDateTimeAdapter;

@JsonInclude(Include.NON_ABSENT)
public class UtenzeDTO implements Serializable{
	
	private static final long serialVersionUID = -3031034691852125218L;
	
	@Schema(required=true, description="Identificativo univoco dell'utente")
	private Long n_id_utente;
	
	@Schema(required=true, description="Identificativo univoco dell'applicazione")
	private String n_id_app;
	
	@Schema(required=true, description="Stato di attivazione dell'utente", allowableValues="Y,N")
	private String b_attivo;
	
	@Schema(required=true, description="Identificativo univoco dell'utente nel contesto dell'applicazione")
	private String t_id_user;
	
	@JsonAdapter(LocalDateTimeAdapter.class)
	@Schema(required=true, description="Data di inserimento dell'utente")
	private LocalDateTime d_data_ins;
	
	@Schema(required=true, description="Identificativo univoco del ruolo associato all'utente")
	private Long n_id_ruolo;
	
	public Long getN_id_utente() {
		return n_id_utente;
	}
	
	public void setN_id_utente(Long n_id_utente) {
		this.n_id_utente = n_id_utente;
	}
	
	public String getN_id_app() {
		return n_id_app;
	}
	
	public void setN_id_app(String n_id_app) {
		this.n_id_app = n_id_app;
	}
	
	public String getB_attivo() {
		return b_attivo;
	}
	
	public void setB_attivo(String b_attivo) {
		this.b_attivo = b_attivo;
	}

	public String getT_id_user() {
		return t_id_user;
	}

	public void setT_id_user(String t_id_user) {
		this.t_id_user = t_id_user;
	}

	public LocalDateTime getD_data_ins() {
		return d_data_ins;
	}
	
	public void setD_data_ins(LocalDateTime d_data_ins) {
		this.d_data_ins = d_data_ins;
	}

	public Long getN_id_ruolo() {
		return n_id_ruolo;
	}

	public void setN_id_ruolo(Long n_id_ruolo) {
		this.n_id_ruolo = n_id_ruolo;
	}

}
